Red Hat 8832 Published by

A curl security update has been released for Red Hat Enterprise Linux 9.0.



[RHSA-2023:4139-01] Moderate: curl security update


=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: curl security update
Advisory ID: RHSA-2023:4139-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2023:4139
Issue date: 2023-07-18
CVE Names: CVE-2022-32221 CVE-2023-23916
=====================================================================

1. Summary:

An update for curl is now available for Red Hat Enterprise Linux 9.0
Extended Update Support.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream EUS (v.9.0) - aarch64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux BaseOS EUS (v.9.0) - aarch64, ppc64le, s390x, x86_64

3. Description:

The curl packages provide the libcurl library and the curl utility for
downloading files from servers using various protocols, including HTTP,
FTP, and LDAP.

Security Fix(es):

* curl: POST following PUT confusion (CVE-2022-32221)

* curl: HTTP multi-header compression denial of service (CVE-2023-23916)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed ( https://bugzilla.redhat.com/):

2135411 - CVE-2022-32221 curl: POST following PUT confusion
2167815 - CVE-2023-23916 curl: HTTP multi-header compression denial of service

6. Package List:

Red Hat Enterprise Linux AppStream EUS (v.9.0):

aarch64:
curl-debuginfo-7.76.1-14.el9_0.6.aarch64.rpm
curl-debugsource-7.76.1-14.el9_0.6.aarch64.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.aarch64.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.aarch64.rpm
libcurl-devel-7.76.1-14.el9_0.6.aarch64.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.aarch64.rpm

ppc64le:
curl-debuginfo-7.76.1-14.el9_0.6.ppc64le.rpm
curl-debugsource-7.76.1-14.el9_0.6.ppc64le.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.ppc64le.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.ppc64le.rpm
libcurl-devel-7.76.1-14.el9_0.6.ppc64le.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.ppc64le.rpm

s390x:
curl-debuginfo-7.76.1-14.el9_0.6.s390x.rpm
curl-debugsource-7.76.1-14.el9_0.6.s390x.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.s390x.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.s390x.rpm
libcurl-devel-7.76.1-14.el9_0.6.s390x.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.s390x.rpm

x86_64:
curl-debuginfo-7.76.1-14.el9_0.6.i686.rpm
curl-debuginfo-7.76.1-14.el9_0.6.x86_64.rpm
curl-debugsource-7.76.1-14.el9_0.6.i686.rpm
curl-debugsource-7.76.1-14.el9_0.6.x86_64.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.i686.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.x86_64.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.i686.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.x86_64.rpm
libcurl-devel-7.76.1-14.el9_0.6.i686.rpm
libcurl-devel-7.76.1-14.el9_0.6.x86_64.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.i686.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.x86_64.rpm

Red Hat Enterprise Linux BaseOS EUS (v.9.0):

Source:
curl-7.76.1-14.el9_0.6.src.rpm

aarch64:
curl-7.76.1-14.el9_0.6.aarch64.rpm
curl-debuginfo-7.76.1-14.el9_0.6.aarch64.rpm
curl-debugsource-7.76.1-14.el9_0.6.aarch64.rpm
curl-minimal-7.76.1-14.el9_0.6.aarch64.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.aarch64.rpm
libcurl-7.76.1-14.el9_0.6.aarch64.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.aarch64.rpm
libcurl-minimal-7.76.1-14.el9_0.6.aarch64.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.aarch64.rpm

ppc64le:
curl-7.76.1-14.el9_0.6.ppc64le.rpm
curl-debuginfo-7.76.1-14.el9_0.6.ppc64le.rpm
curl-debugsource-7.76.1-14.el9_0.6.ppc64le.rpm
curl-minimal-7.76.1-14.el9_0.6.ppc64le.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.ppc64le.rpm
libcurl-7.76.1-14.el9_0.6.ppc64le.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.ppc64le.rpm
libcurl-minimal-7.76.1-14.el9_0.6.ppc64le.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.ppc64le.rpm

s390x:
curl-7.76.1-14.el9_0.6.s390x.rpm
curl-debuginfo-7.76.1-14.el9_0.6.s390x.rpm
curl-debugsource-7.76.1-14.el9_0.6.s390x.rpm
curl-minimal-7.76.1-14.el9_0.6.s390x.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.s390x.rpm
libcurl-7.76.1-14.el9_0.6.s390x.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.s390x.rpm
libcurl-minimal-7.76.1-14.el9_0.6.s390x.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.s390x.rpm

x86_64:
curl-7.76.1-14.el9_0.6.x86_64.rpm
curl-debuginfo-7.76.1-14.el9_0.6.i686.rpm
curl-debuginfo-7.76.1-14.el9_0.6.x86_64.rpm
curl-debugsource-7.76.1-14.el9_0.6.i686.rpm
curl-debugsource-7.76.1-14.el9_0.6.x86_64.rpm
curl-minimal-7.76.1-14.el9_0.6.x86_64.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.i686.rpm
curl-minimal-debuginfo-7.76.1-14.el9_0.6.x86_64.rpm
libcurl-7.76.1-14.el9_0.6.i686.rpm
libcurl-7.76.1-14.el9_0.6.x86_64.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.i686.rpm
libcurl-debuginfo-7.76.1-14.el9_0.6.x86_64.rpm
libcurl-minimal-7.76.1-14.el9_0.6.i686.rpm
libcurl-minimal-7.76.1-14.el9_0.6.x86_64.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.i686.rpm
libcurl-minimal-debuginfo-7.76.1-14.el9_0.6.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-32221
https://access.redhat.com/security/cve/CVE-2023-23916
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is [secalert@redhat.com]. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2023 Red Hat, Inc.

--